Index: tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/TripleRangeSlider.java
===================================================================
--- tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/TripleRangeSlider.java	(revision 2420)
+++ tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/TripleRangeSlider.java	(revision 2421)
@@ -1121,7 +1227,8 @@
 	 * @param lowerValue the new lower selection (must be zero or greater)
 	 * @param upperValue the new upper selection (must be zero or greater)
 	 *
-	 * @exception SWTException <ul>
+	 * @exception SWTException
+	 *                <ul>
 	 *                <li>ERROR_WIDGET_DISPOSED - if the receiver has been
 	 *                disposed</li>
 	 *                <li>ERROR_THREAD_INVALID_ACCESS - if not called from the
@@ -1134,14 +1241,15 @@
 		setMiddleValue(middleValue);
 		setUpperValue(upperValue);
 	}
-
+	
 	/**
 	 * Sets the 'upper selection', which is the upper receiver's value, argument
 	 * which must be greater than or equal to zero.
 	 *
 	 * @param value the new selection (must be zero or greater)
 	 *
-	 * @exception SWTException <ul>
+	 * @exception SWTException
+	 *                <ul>
 	 *                <li>ERROR_WIDGET_DISPOSED - if the receiver has been
 	 *                disposed</li>
 	 *                <li>ERROR_THREAD_INVALID_ACCESS - if not called from the
@@ -1164,8 +1272,8 @@
 			redraw();
 		}
 	}
-
+	
 	public boolean isDragMiddleKnob() {
 		return this.dragInProgress && SELECTED_KNOB.MIDDLE == lastSelected;
 	}
-}
\ No newline at end of file
+}
Index: tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/MediaPreferences.java
===================================================================
--- tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/MediaPreferences.java	(revision 2420)
+++ tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/MediaPreferences.java	(revision 2421)
@@ -13,17 +13,17 @@
 import org.txm.objects.CorpusCommandPreferences;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 
-public class MediaPreferences extends AbstractHandler  {
-
+public class MediaPreferences extends AbstractHandler {
+	
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		
 		ISelection isel = HandlerUtil.getCurrentSelection(event);
 		if (isel instanceof StructuredSelection) {
-			StructuredSelection sel = (StructuredSelection)isel;
+			StructuredSelection sel = (StructuredSelection) isel;
 			Object o = sel.getFirstElement();
 			if (o instanceof MainCorpus) {
-				openPreferences((MainCorpus)o);
+				openPreferences((MainCorpus) o);
 			}
 		}
 		
@@ -45,14 +45,16 @@
 			}
 			try {
 				commandPreferences.getNode().flush();
-			} catch (BackingStoreException e) {
+			}
+			catch (BackingStoreException e) {
 				e.printStackTrace();
 				return false;
 			}
 			
-			System.out.println("Media preferences updated with "+dialog.getProperties());
+			System.out.println("Media preferences updated with " + dialog.getProperties());
 			return true;
-		} else {
+		}
+		else {
 			System.out.println("Canceled.");
 			return false;
 		}
Index: tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/BackToMedia.java
===================================================================
--- tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/BackToMedia.java	(revision 2420)
+++ tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/BackToMedia.java	(revision 2421)
@@ -23,7 +23,7 @@
 // 
 // $LastChangedDate:$
 // $LastChangedRevision:$
-// $LastChangedBy:$ 
+// $LastChangedBy:$ 1
 //
 package org.txm.backtomedia.commands.function;
 
@@ -89,7 +89,7 @@
 	/** The selection. */
 	private IStructuredSelection selection;
 	
-	private static HashMap<IWorkbenchPart, VLCPlayerEditor> associatedEditors = new HashMap<IWorkbenchPart, VLCPlayerEditor>();
+	private static HashMap<IWorkbenchPart, VLCPlayerEditor> associatedEditors = new HashMap<>();
 	
 	/*
 	 * (non-Javadoc)
@@ -123,7 +123,7 @@
 					return backToMedia(cqpCorpus, text_parameter, time_parameter, time_parameter, editor, HandlerUtil.getActiveWorkbenchWindow(event).getShell());
 				}
 				else {
-					return backtoMediaFromWordSelection(cqpCorpus, text_parameter, new String[]{word_parameter, null}, (EditorPart) editor, HandlerUtil.getActiveWorkbenchWindow(event).getShell());
+					return backtoMediaFromWordSelection(cqpCorpus, text_parameter, new String[] { word_parameter, null }, editor, HandlerUtil.getActiveWorkbenchWindow(event).getShell());
 				}
 			}
 			catch (Exception e) {
@@ -145,7 +145,9 @@
 			Object s = selection.getFirstElement();
 			
 			// System.out.println("Selected object: "+s);
-			if (!(s instanceof Line)) { return null; }
+			if (!(s instanceof Line)) {
+				return null;
+			}
 			
 			Line line = (Line) s;
 			org.txm.objects.Match m = line.getMatch();
@@ -160,25 +162,27 @@
 				e.printStackTrace();
 				return null;
 			}
-		} else if (page instanceof SynopticEditionEditor) {
-			SynopticEditionEditor editor = (SynopticEditionEditor)page;
+		}
+		else if (page instanceof SynopticEditionEditor) {
+			SynopticEditionEditor editor = (SynopticEditionEditor) page;
 			Text text = editor.getResult();
 			Project project = text.getProject();
 			MainCorpus cqpCorpus = (MainCorpus) project.getCorpusBuild(null, MainCorpus.class);
 			EditionPanel panel = editor.getEditionPanel(0);
 			String[] ids = panel.getWordSelection();
-			//System.out.println("Words: "+Arrays.toString(ids));
+			// System.out.println("Words: "+Arrays.toString(ids));
 			if (ids[1] == null) { // only one word is selected -> using sync_mode preferences
 				try {
-					return backtoMediaFromWordSelection(cqpCorpus, text.getName(), ids, (EditorPart) editor, HandlerUtil.getActiveWorkbenchWindow(event).getShell());
+					return backtoMediaFromWordSelection(cqpCorpus, text.getName(), ids, editor, HandlerUtil.getActiveWorkbenchWindow(event).getShell());
 				}
 				catch (Exception e) {
 					// TODO Auto-generated catch block
 					e.printStackTrace();
-				}				
-			} else { // play the current word selection
+				}
+			}
+			else { // play the current word selection
 				try {
-					CQLQuery query = new CQLQuery(NLS.bind("[id=\"{0}\" & _.text_id=\"{1}\"]", ids[0]+"|"+ids[ids.length-1], text.getName()));
+					CQLQuery query = new CQLQuery(NLS.bind("[id=\"{0}\" & _.text_id=\"{1}\"]", ids[0] + "|" + ids[ids.length - 1], text.getName()));
 					QueryResult rez = cqpCorpus.query(query, "TMP", false);
 					if (rez.getNMatch() == 2) {
 						Match m = rez.getMatch(0);
@@ -199,8 +203,9 @@
 						String start = m.getValueForProperty(timeProperty);
 						String end = n.getValueForProperty(timeProperty);
 						return backToMedia(cqpCorpus, text.getName(), start, end, editor, HandlerUtil.getActiveWorkbenchWindow(event).getShell());
-					} else {
-						Log.warning(NLS.bind("Fail to find words with ids={0} in text with id={1}.", ids[0]+"|"+ids[ids.length-1], text.getName()));
+					}
+					else {
+						Log.warning(NLS.bind("Fail to find words with ids={0} in text with id={1}.", ids[0] + "|" + ids[ids.length - 1], text.getName()));
 						return null;
 					}
 				}
@@ -209,7 +214,7 @@
 					e.printStackTrace();
 				}
 			}
-		} 
+		}
 		
 		// no suitable parameters or selection or editor
 		return null;
@@ -235,7 +240,7 @@
 		Match m = null;
 		Match n = null;
 		
-		if (wordids[1] != null) {
+		if (wordids[1] == null) {
 			CQLQuery query = new CQLQuery(NLS.bind("[id=\"{0}\" & _.text_id=\"{1}\"]", wordids[0], textid));
 			QueryResult rez = corpus.query(query, "TMP", false);
 			
@@ -246,12 +251,13 @@
 			
 			m = rez.getMatch(0);
 			n = rez.getMatch(0);
-		} else if (wordids[0] != null && wordids[1] != null) {
-			CQLQuery query = new CQLQuery(NLS.bind("[id=\"{0}\" & _.text_id=\"{1}\"]", wordids[0]+"|"+wordids[1], textid));
+		}
+		else if (wordids[0] != null && wordids[1] != null) {
+			CQLQuery query = new CQLQuery(NLS.bind("[id=\"{0}\" & _.text_id=\"{1}\"]", wordids[0] + "|" + wordids[1], textid));
 			QueryResult rez = corpus.query(query, "TMP", false);
 			
 			if (rez.getNMatch() != 2) {
-				Log.warning(NLS.bind("Warning: found more than or no word for id={0} in {1}", wordids[0]+", "+wordids[1], textid));
+				Log.warning(NLS.bind("Warning: found more than or no word for id={0} in {1}", wordids[0] + ", " + wordids[1], textid));
 				return null;
 			}
 			
@@ -262,9 +268,10 @@
 		if (m == null || n == null) {
 			Log.warning(NLS.bind("Fail to find word with id={0} in text with id={1}", Arrays.toString(wordids), textid));
 			return null;
-		} else {
-			return backtoMediaFromMatch(corpus, textid, m.getStart(), n.getEnd(), (EditorPart) editor, shell);
 		}
+		else {
+			return backtoMediaFromMatch(corpus, textid, m.getStart(), n.getEnd(), editor, shell);
+		}
 	}
 	
 	/**
@@ -281,7 +288,8 @@
 	 * @throws IOException
 	 * @throws CqiServerError
 	 */
-	public static Object backtoMediaFromMatch(CQPCorpus corpus, String textid, int keywordPosition, int keywordEndPosition, IWorkbenchPart editor, Shell shell) throws CqiClientException, IOException, CqiServerError {
+	public static Object backtoMediaFromMatch(CQPCorpus corpus, String textid, int keywordPosition, int keywordEndPosition, IWorkbenchPart editor, Shell shell) throws CqiClientException, IOException,
+			CqiServerError {
 		
 		TXMPreferences alternative = BackToMediaPreferences.getInstance();
 		String sStartTime, sEndTime;
@@ -370,6 +378,7 @@
 	
 	/**
 	 * Play the text associated media from a start-end time position
+	 * 
 	 * @param corpus
 	 * @param textid
 	 * @param sStartTime String in "sec.msec" or "hh:mm:ss" format
@@ -428,14 +437,15 @@
 					if (secured_media_password == null) {
 						URL url = new URL(media_directory);
 						
-						UsernamePasswordDialog dialog = new UsernamePasswordDialog(shell, new boolean[] { true, true }, url.getHost()) ;
+						UsernamePasswordDialog dialog = new UsernamePasswordDialog(shell, new boolean[] { true, true }, url.getHost());
 						dialog.setUsername(secured_media_login);
 						dialog.setTitle("You must authenticate to access the media file");
 						dialog.setDetails(NLS.bind(TXMUIMessages.loginToP0, new URL(media_directory).getHost()));
 						if (dialog.open() == dialog.OK) {
 							System.setProperty(BackToMediaPreferences.MEDIA_AUTH_PASSWORD, dialog.getPassword());
 							secured_media_password = dialog.getPassword();
-						} else {
+						}
+						else {
 							return null;
 						}
 					}
@@ -503,21 +513,22 @@
 				vlcEditor = OpenVLCPlayer.openEditor(path, sStartTime, sEndTime);
 				
 				// editor.getPlayer().setRepeat(true);
-				if (vlcEditor == null) { 
+				if (vlcEditor == null) {
 					Log.warning("Error: could not open the MediaPlayer.");
-					return null; 
+					return null;
 				}
 				
 				if (!vlcEditor.isMediaLoaded()) {
 					
 					vlcEditor.getSite().getPage().closeEditor(vlcEditor, false);
 					if (media_auth) {
-						Log.warning("The MediaPlayer could not open the media: "+media_directory); // don't show credentials
+						Log.warning("The MediaPlayer could not open the media: " + media_directory); // don't show credentials
 						System.clearProperty(BackToMediaPreferences.MEDIA_AUTH_PASSWORD);
 						System.clearProperty(BackToMediaPreferences.MEDIA_AUTH_LOGIN);
-					} else {
-						Log.warning("The MediaPlayer could not open the media: "+path);
 					}
+					else {
+						Log.warning("The MediaPlayer could not open the media: " + path);
+					}
 				}
 				
 				// move the editor in the window
Index: tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/preferences/BackToMediaPreferencePage.java
===================================================================
--- tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/preferences/BackToMediaPreferencePage.java	(revision 2420)
+++ tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/preferences/BackToMediaPreferencePage.java	(revision 2421)
@@ -55,20 +55,27 @@
  */
 
 public class BackToMediaPreferencePage extends TXMPreferencePage {
-
+	
 	/** The Constant ID. */
 	public static final String ID = "org.txm.backtomedia.preferences.BackToMediaPreferencePage"; //$NON-NLS-1$
-
+	
 	/**
 	 * The display parts count in chart title state.
 	 */
 	private BooleanFieldEditor loopProperty;
+	
 	private ComboFieldEditor backtotext_position;
+	
 	private ComboFieldEditor useWordProperty;
+	
 	private StringFieldEditor defaultStructure;
+	
 	private StringFieldEditor defaultStructureStartProperty;
+	
 	private StringFieldEditor defaultStructureEndProperty;
+	
 	private StringFieldEditor defaultWordTimeProperty;
+	
 	private Group spanGroup;
 	
 	/**
@@ -80,16 +87,15 @@
 	
 	/*
 	 * (non-Javadoc)
-	 * 
 	 * @see
 	 * org.eclipse.ui.IWorkbenchPreferencePage#init(org.eclipse.ui.IWorkbench)
 	 */
 	@Override
 	public void init(IWorkbench workbench) {
 		this.setPreferenceStore(new TXMPreferenceStore(new BackToMediaPreferences().getPreferencesNodeQualifier()));
-		//this.setImageDescriptor(WordCloudAdapterFactory.ICON);
+		// this.setImageDescriptor(WordCloudAdapterFactory.ICON);
 	}
-
+	
 	/**
 	 * Creates the field editors. Field editors are abstractions of the common
 	 * GUI blocks needed to manipulate various types of preferences. Each field
@@ -98,18 +104,18 @@
 	@Override
 	public void createFieldEditors() {
 		
-		loopProperty = new BooleanFieldEditor(BackToMediaPreferences.REPEAT,MessagesMP.BackToMediaPreferencePage_1, getFieldEditorParent());
+		loopProperty = new BooleanFieldEditor(BackToMediaPreferences.REPEAT, MessagesMP.BackToMediaPreferencePage_1, getFieldEditorParent());
 		addField(loopProperty);
 		
-		String [][] choices = {{BackToMediaPreferences.WORDMODE, BackToMediaPreferences.WORDMODE},
-				{BackToMediaPreferences.STRUCTUREMODE, BackToMediaPreferences.STRUCTUREMODE},
-				{BackToMediaPreferences.MILESTONEMODE, BackToMediaPreferences.MILESTONEMODE}
-				};
-		useWordProperty = new ComboFieldEditor(BackToMediaPreferences.SYNCMODE,MessagesMP.BackToMediaPreferencePage_2, choices, getFieldEditorParent());
+		String[][] choices = { { BackToMediaPreferences.WORDMODE, BackToMediaPreferences.WORDMODE },
+				{ BackToMediaPreferences.STRUCTUREMODE, BackToMediaPreferences.STRUCTUREMODE },
+				{ BackToMediaPreferences.MILESTONEMODE, BackToMediaPreferences.MILESTONEMODE }
+		};
+		useWordProperty = new ComboFieldEditor(BackToMediaPreferences.SYNCMODE, MessagesMP.BackToMediaPreferencePage_2, choices, getFieldEditorParent());
 		
 		addField(useWordProperty);
 		
-		String[][] values = {{"ABOVE", ""+EModelService.ABOVE}, {"BELOW", ""+EModelService.BELOW}, {"LEFT_OF", ""+EModelService.LEFT_OF}, {"RIGHT_OF", ""+EModelService.RIGHT_OF}};
+		String[][] values = { { "ABOVE", "" + EModelService.ABOVE }, { "BELOW", "" + EModelService.BELOW }, { "LEFT_OF", "" + EModelService.LEFT_OF }, { "RIGHT_OF", "" + EModelService.RIGHT_OF } };
 		backtotext_position = new ComboFieldEditor(BackToMediaPreferences.BACKTOMEDIA_POSITION, "BackToMedia position", values, getFieldEditorParent());
 		addField(backtotext_position);
 		
@@ -123,16 +129,16 @@
 		rlayout.marginHeight = 5;
 		spanGroup.setLayout(rlayout);
 		
-		defaultWordTimeProperty = new StringFieldEditor(BackToMediaPreferences.WORD_PROPERTY,MessagesMP.BackToMediaPreferencePage_4, spanGroup);
+		defaultWordTimeProperty = new StringFieldEditor(BackToMediaPreferences.WORD_PROPERTY, MessagesMP.BackToMediaPreferencePage_4, spanGroup);
 		addField(defaultWordTimeProperty);
 		
-		defaultStructure = new StringFieldEditor(BackToMediaPreferences.STRUCTURE,MessagesMP.BackToMediaPreferencePage_5, spanGroup);
+		defaultStructure = new StringFieldEditor(BackToMediaPreferences.STRUCTURE, MessagesMP.BackToMediaPreferencePage_5, spanGroup);
 		addField(defaultStructure);
 		
-		defaultStructureStartProperty = new StringFieldEditor(BackToMediaPreferences.STRUCTURE_START_PROPERTY,MessagesMP.BackToMediaPreferencePage_6, spanGroup);
+		defaultStructureStartProperty = new StringFieldEditor(BackToMediaPreferences.STRUCTURE_START_PROPERTY, MessagesMP.BackToMediaPreferencePage_6, spanGroup);
 		addField(defaultStructureStartProperty);
 		
-		defaultStructureEndProperty = new StringFieldEditor(BackToMediaPreferences.STRUCTURE_END_PROPERTY,MessagesMP.BackToMediaPreferencePage_7, spanGroup);
+		defaultStructureEndProperty = new StringFieldEditor(BackToMediaPreferences.STRUCTURE_END_PROPERTY, MessagesMP.BackToMediaPreferencePage_7, spanGroup);
 		addField(defaultStructureEndProperty);
 		
 		updateEnables(BackToMediaPreferences.getInstance().getString(BackToMediaPreferences.SYNCMODE));
@@ -144,12 +150,14 @@
 			defaultStructureStartProperty.setEnabled(false, spanGroup);
 			defaultStructureEndProperty.setEnabled(false, spanGroup);
 			defaultWordTimeProperty.setEnabled(true, spanGroup);
-		} else if (BackToMediaPreferences.STRUCTUREMODE.equals(sync_mode)) {
+		}
+		else if (BackToMediaPreferences.STRUCTUREMODE.equals(sync_mode)) {
 			defaultStructure.setEnabled(true, spanGroup);
 			defaultStructureStartProperty.setEnabled(true, spanGroup);
 			defaultStructureEndProperty.setEnabled(true, spanGroup);
 			defaultWordTimeProperty.setEnabled(false, spanGroup);
-		} else { // milestones
+		}
+		else { // milestones
 			defaultStructure.setEnabled(true, spanGroup);
 			defaultStructureStartProperty.setEnabled(true, spanGroup);
 			defaultStructureEndProperty.setEnabled(false, spanGroup);
Index: tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/preferences/BackToMediaPreferences.java
===================================================================
--- tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/preferences/BackToMediaPreferences.java	(revision 2420)
+++ tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/preferences/BackToMediaPreferences.java	(revision 2421)
@@ -7,48 +7,59 @@
 import org.txm.core.preferences.TXMPreferences;
 
 public class BackToMediaPreferences extends TXMPreferences {
-
+	
 	// auto populate the preference node qualifier from the current bundle id
-//	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(BackToMediaPreferences.class).getSymbolicName();
+	// public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(BackToMediaPreferences.class).getSymbolicName();
 	
 	public static final String PREFERENCES_PREFIX = "backtomedia_";
 	
 	public static final String REPEAT = "backtomedia_loop"; //$NON-NLS-1$
+	
 	public static final String SYNCMODE = "sync_mode"; //$NON-NLS-1$
-
+	
 	public static final String STRUCTURE = "backtomedia_structure"; //$NON-NLS-1$
+	
 	public static final String STRUCTURE_START_PROPERTY = "backtomedia_startproperty"; //$NON-NLS-1$
+	
 	public static final String STRUCTURE_END_PROPERTY = "backtomedia_endproperty"; //$NON-NLS-1$
+	
 	public static final String WORD_PROPERTY = "backtomedia_wordtime_property"; //$NON-NLS-1$
+	
 	public static final String WORD_CONTEXT_LEFT_DISTANCE = "backtomedia_word_context_left_distance"; //$NON-NLS-1$
+	
 	public static final String WORD_CONTEXT_RIGHT_DISTANCE = "backtomedia_word_context_right_distance"; //$NON-NLS-1$
-
+	
 	// the sync modes
 	public static final String WORDMODE = "Word";
+	
 	public static final String STRUCTUREMODE = "Structure";
+	
 	public static final String MILESTONEMODE = "Milestone";
-
+	
 	public static final String MEDIA_PATH_PREFIX = "media_path_prefix";
+	
 	public static final String MEDIA_EXTENSION = "media_extension";
 	
 	public static final String MEDIA_AUTH = "media_auth";
+	
 	public static final String MEDIA_AUTH_LOGIN = "media_auth_login";
+	
 	public static final String MEDIA_AUTH_PASSWORD = "media_auth_password";
-
+	
 	/**
 	 * preferences node to media file access paths
 	 */
 	public static final String MEDIA_INDEX_NODE = "media_index_node";
 	
 	/**
-	 * one of the EModelService position constant to use when opening editor: 	ABOVE = 0 BELOW = 1 LEFT_OF = 2 RIGHT_OF = 3
+	 * one of the EModelService position constant to use when opening editor: ABOVE = 0 BELOW = 1 LEFT_OF = 2 RIGHT_OF = 3
 	 */
 	public static final String BACKTOMEDIA_POSITION = "backtomedia_position"; //$NON-NLS-1$
 	
 	public BackToMediaPreferences() {
 		// TODO Auto-generated constructor stub
 	}
-
+	
 	@Override
 	public void initializeDefaultPreferences() {
 		super.initializeDefaultPreferences();
@@ -67,9 +78,10 @@
 	
 	/**
 	 * Gets the instance.
+	 * 
 	 * @return the instance
 	 */
-	public static TXMPreferences getInstance()	{
+	public static TXMPreferences getInstance() {
 		if (!TXMPreferences.instances.containsKey(BackToMediaPreferences.class)) {
 			new BackToMediaPreferences();
 		}
